Class | RSS::BaseParser
In: | rss/parser.rb
Parent: | Object

### Methods

do_validate do_validate= ignore_unknown_element ignore_unknown_element= new parse rss

### Public Class methods

new(rss)

[Source]

    # File rss/parser.rb, line 116
        def initialize(rss)
          @listener = listener.new
          @rss = rss
        end

### Public Instance methods

do_validate()

[Source]

    # File rss/parser.rb, line 133
        def do_validate
          @listener.do_validate
        end

do_validate=(new_value)

[Source]

    # File rss/parser.rb, line 137
        def do_validate=(new_value)
          @listener.do_validate = new_value
        end

ignore_unknown_element()

[Source]

    # File rss/parser.rb, line 125
        def ignore_unknown_element
          @listener.ignore_unknown_element
        end

ignore_unknown_element=(new_value)

[Source]

    # File rss/parser.rb, line 129
        def ignore_unknown_element=(new_value)
          @listener.ignore_unknown_element = new_value
        end

parse()

[Source]

    # File rss/parser.rb, line 141
        def parse
          if @listener.rss.nil?
            _parse
          end
          @listener.rss
        end

rss()

[Source]

    # File rss/parser.rb, line 121
        def rss
          @listener.rss
        end

[Validate]